Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecSlice.cpp
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecSlice.cpp	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecSlice.cpp	(revision 294)
@@ -148,7 +148,4 @@
   UInt uiCol=0, uiLin=0, uiSubStrm=0;
 
-#if !REMOVE_TILE_DEPENDENCE
-  Int iBreakDep;
-#endif
   UInt uiTileCol;
   UInt uiTileStartLCU;
@@ -163,7 +160,4 @@
     pcCU = rpcPic->getCU( iCUAddr );
     pcCU->initCU( rpcPic, iCUAddr );
-#if !REMOVE_TILE_DEPENDENCE
-    iBreakDep = rpcPic->getPicSym()->getTileBoundaryIndependenceIdr();
-#endif
     uiTileCol = rpcPic->getPicSym()->getTileIdxMap(iCUAddr) % (rpcPic->getPicSym()->getNumColumnsMinus1()+1); // what column of tiles are we in?
     uiTileStartLCU = rpcPic->getPicSym()->getTComTile(rpcPic->getPicSym()->getTileIdxMap(iCUAddr))->getFirstCUAddr();
@@ -175,23 +169,7 @@
     uiLin     = iCUAddr / uiWidthInLCUs;
     // inherit from TR if necessary, select substream to use.
-#if WPP_SIMPLIFICATION
     if( iSymbolMode && pcSlice->getPPS()->getNumSubstreams() > 1 )
-#else
-    if( iSymbolMode && pcSlice->getPPS()->getEntropyCodingSynchro() )
-#endif
-    {
-#if !REMOVE_TILE_DEPENDENCE
-#if WPP_SIMPLIFICATION
-      if (iBreakDep && pcSlice->getPPS()->getNumSubstreams() > 1)
-#else
-      if (iBreakDep && pcSlice->getPPS()->getEntropyCodingSynchro())
-#endif
-#else
-#if WPP_SIMPLIFICATION
+    {
       if (pcSlice->getPPS()->getNumSubstreams() > 1)
-#else
-      if (pcSlice->getPPS()->getEntropyCodingSynchro())
-#endif
-#endif
       {
         // independent tiles => substreams are "per tile".  iNumSubstreams has already been multiplied.
@@ -207,9 +185,5 @@
       m_pcEntropyDecoder->setBitstream( ppcSubstreams[uiSubStrm] );
       // Synchronize cabac probabilities with upper-right LCU if it's available and we're at the start of a line.
-#if WPP_SIMPLIFICATION
       if (pcSlice->getPPS()->getNumSubstreams() > 1 && uiCol == uiTileLCUX)
-#else
-      if (pcSlice->getPPS()->getEntropyCodingSynchro() && uiCol == uiTileLCUX)
-#endif
       {
         // We'll sync if the TR is available.
@@ -217,15 +191,8 @@
         UInt uiWidthInCU = rpcPic->getFrameWidthInCU();
         TComDataCU *pcCUTR = NULL;
-#if WPP_SIMPLIFICATION
         if ( pcCUUp && ((iCUAddr%uiWidthInCU+1) < uiWidthInCU)  )
         {
           pcCUTR = rpcPic->getCU( iCUAddr - uiWidthInCU + 1 );
         }
-#else
-        if ( pcCUUp && ((iCUAddr%uiWidthInCU+pcSlice->getPPS()->getEntropyCodingSynchro()) < uiWidthInCU)  )
-        {
-          pcCUTR = rpcPic->getCU( iCUAddr - uiWidthInCU + pcSlice->getPPS()->getEntropyCodingSynchro() );
-        }
-#endif
         UInt uiMaxParts = 1<<(pcSlice->getSPS()->getMaxCUDepth()<<1);
 
@@ -233,18 +200,10 @@
              ((pcCUTR==NULL) || (pcCUTR->getSlice()==NULL) || 
              ((pcCUTR->getSCUAddr()+uiMaxParts-1) < pcSlice->getSliceCurStartCUAddr()) ||
-#if !REMOVE_TILE_DEPENDENCE
-             (rpcPic->getPicSym()->getTileBoundaryIndependenceIdr() && (rpcPic->getPicSym()->getTileIdxMap( pcCUTR->getAddr() ) != rpcPic->getPicSym()->getTileIdxMap(iCUAddr)))
-#else
              ((rpcPic->getPicSym()->getTileIdxMap( pcCUTR->getAddr() ) != rpcPic->getPicSym()->getTileIdxMap(iCUAddr)))
-#endif
              ))||
              (true/*bEnforceEntropySliceRestriction*/ &&
              ((pcCUTR==NULL) || (pcCUTR->getSlice()==NULL) || 
              ((pcCUTR->getSCUAddr()+uiMaxParts-1) < pcSlice->getEntropySliceCurStartCUAddr()) ||
-#if !REMOVE_TILE_DEPENDENCE
-             (rpcPic->getPicSym()->getTileBoundaryIndependenceIdr() && (rpcPic->getPicSym()->getTileIdxMap( pcCUTR->getAddr() ) != rpcPic->getPicSym()->getTileIdxMap(iCUAddr)))
-#else
              ((rpcPic->getPicSym()->getTileIdxMap( pcCUTR->getAddr() ) != rpcPic->getPicSym()->getTileIdxMap(iCUAddr)))
-#endif
              ))
            )
@@ -260,9 +219,5 @@
       pcSbacDecoder->load(&pcSbacDecoders[uiSubStrm]);  //this load is used to simplify the code (avoid to change all the call to pcSbacDecoders)
     }
-#if WPP_SIMPLIFICATION
     else if ( iSymbolMode && pcSlice->getPPS()->getNumSubstreams() <= 1 )
-#else
-    else if ( iSymbolMode && !pcSlice->getPPS()->getEntropyCodingSynchro() )
-#endif
     {
       // Set variables to appropriate values to avoid later code change.
@@ -273,9 +228,5 @@
          (iCUAddr!=0) && (iCUAddr!=rpcPic->getPicSym()->getPicSCUAddr(rpcPic->getSlice(rpcPic->getCurrSliceIdx())->getSliceCurStartCUAddr())/rpcPic->getNumPartInCU())) // !1st in frame && !1st in slice
     {
-#if WPP_SIMPLIFICATION
       if (pcSlice->getPPS()->getNumSubstreams() > 1)
-#else
-      if (pcSlice->getPPS()->getEntropyCodingSynchro())
-#endif
       {
         // We're crossing into another tile, tiles are independent.
@@ -330,37 +281,4 @@
     }
 
-#if !REMOVE_TILE_DEPENDENCE
-    if ( (rpcPic->getPicSym()->getTileBoundaryIndependenceIdr()==0) && (rpcPic->getPicSym()->getNumColumnsMinus1()!=0) )
-    {    
-      // Synchronize cabac probabilities with LCU among Tiles
-      if( (uiTileLCUX != 0) &&
-          (iCUAddr == rpcPic->getPicSym()->getTComTile(rpcPic->getPicSym()->getTileIdxMap(iCUAddr))->getFirstCUAddr()) )
-      {        
-        TComDataCU *pcCULeft = pcCU->getCULeft();
-        UInt uiMaxParts = 1<<(pcSlice->getSPS()->getMaxCUDepth()<<1);
-
-        if ( (true/*bEnforceSliceRestriction*/ &&
-              ((pcCULeft==NULL) || (pcCULeft->getSlice()==NULL) || 
-               ((pcCULeft->getSCUAddr()+uiMaxParts-1) < pcSlice->getSliceCurStartCUAddr()) 
-              )
-             )||
-             (true/*bEnforceEntropySliceRestriction*/ &&
-              ((pcCULeft==NULL) || (pcCULeft->getSlice()==NULL) || 
-               ((pcCULeft->getSCUAddr()+uiMaxParts-1) < pcSlice->getEntropySliceCurStartCUAddr())
-              )
-             )
-           )
-        {
-          // Left not available.
-        }
-        else
-        {
-          // Left is available, we use it.
-          pcSbacDecoders[uiSubStrm].loadContexts( &m_pcBufferLowLatSbacDecoders[uiTileCol-1] );
-          pcSbacDecoder->loadContexts(&pcSbacDecoders[uiSubStrm]);  //this load is used to simplify the code (avoid to change all the call to pcSbacDecoders)
-        }
-      }
-    }
-#endif
 
 
@@ -368,5 +286,4 @@
     g_bJustDoIt = g_bEncDecTraceEnable;
 #endif
-#if SAO_UNIT_INTERLEAVING
     if ( pcSlice->getSPS()->getUseSAO() && pcSlice->getSaoInterleavingFlag() && pcSlice->getSaoEnabledFlag() )
     {
@@ -384,5 +301,4 @@
       pcSbacDecoder->parseSaoOneLcuInterleaving(rx, ry, pcSlice->getAPS()->getSaoParam(),pcCU, cuAddrInSlice, cuAddrUpInSlice, pcSlice->getSPS()->getLFCrossSliceBoundaryFlag() );
     }
-#endif
 
     m_pcCuDecoder->decodeCU     ( pcCU, uiIsLast );
@@ -394,31 +310,16 @@
     if( iSymbolMode )
     {
-#if OL_FLUSH
       /*If at the end of a LCU line but not at the end of a substream, perform CABAC flush*/
-#if WPP_SIMPLIFICATION
       if (!uiIsLast && pcSlice->getPPS()->getNumSubstreams() > 1)
-#else
-      if (!uiIsLast && pcSlice->getPPS()->getCabacIstateReset())
-#endif
-      {
-#if !REMOVE_TILE_DEPENDENCE
-        if ((iBreakDep && (uiCol == uiTileLCUX+uiTileWidth-1) && (uiLin+iNumSubstreamsPerTile < uiTileLCUY+uiTileHeight))
-            || (!iBreakDep && (uiCol == uiWidthInLCUs-1) && (uiLin+iNumSubstreams < pcCU->getPic()->getFrameHeightInCU())))
-#else
+      {
         if ((uiCol == uiTileLCUX+uiTileWidth-1) && (uiLin+iNumSubstreamsPerTile < uiTileLCUY+uiTileHeight))
-#endif
         {
           m_pcEntropyDecoder->decodeFlush();
         }
       }
-#endif
       pcSbacDecoders[uiSubStrm].load(pcSbacDecoder);
 
       //Store probabilities of second LCU in line into buffer
-#if WPP_SIMPLIFICATION
       if (pcSlice->getPPS()->getNumSubstreams() > 1 && (uiCol == uiTileLCUX+1))
-#else
-      if (pcSlice->getPPS()->getEntropyCodingSynchro() && (uiCol == uiTileLCUX+pcSlice->getPPS()->getEntropyCodingSynchro()))
-#endif
       {
         m_pcBufferSbacDecoders[uiTileCol].loadContexts( &pcSbacDecoders[uiSubStrm] );
@@ -426,16 +327,4 @@
 
     }
-#if !REMOVE_TILE_DEPENDENCE
-    if ( (rpcPic->getPicSym()->getTileBoundaryIndependenceIdr()==0) && (rpcPic->getPicSym()->getNumColumnsMinus1()!=0) )
-    {
-      pcSbacDecoders[uiSubStrm].load(pcSbacDecoder);
-       //Store probabilties for next tile
-      if( (uiLin == (rpcPic->getPicSym()->getTComTile(rpcPic->getPicSym()->getTileIdxMap(iCUAddr))->getFirstCUAddr() / uiWidthInLCUs )) && 
-          (uiCol == rpcPic->getPicSym()->getTComTile(rpcPic->getPicSym()->getTileIdxMap(iCUAddr))->getRightEdgePosInCU()) )
-      {
-        m_pcBufferLowLatSbacDecoders[uiTileCol].loadContexts( &pcSbacDecoders[uiSubStrm] );
-      }
-    }
-#endif
   }
 
Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 294)
@@ -525,9 +525,5 @@
   xUpdateGopSize(pcSlice);
   
-#if H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
   m_iMaxRefPicNum = pcSlice->getSPS()->getMaxDecPicBuffering(pcSlice->getTLayer())+pcSlice->getSPS()->getNumReorderPics(pcSlice->getTLayer()) + 1; // +1 to have space for the picture currently being decoded
-#else
-  m_iMaxRefPicNum = pcSlice->getSPS()->getMaxNumberOfReferencePictures()+pcSlice->getSPS()->getNumReorderFrames() + 1; // +1 to have space for the picture currently being decoded
-#endif
 
 #if DEPTH_MAP_GENERATION
@@ -716,17 +712,9 @@
   }
 
-#if !LCU_SYNTAX_ALF
-  // create ALF temporary buffer
-  m_cAdaptiveLoopFilter.create( sps->getPicWidthInLumaSamples(), sps->getPicHeightInLumaSamples(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth );
-#endif
   m_cSAO.create( sps->getPicWidthInLumaSamples(), sps->getPicHeightInLumaSamples(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth );
   m_cLoopFilter.        create( g_uiMaxCUDepth );
 }
 
-#if SKIPFRAME_BUGFIX
 Bool TDecTop::xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay )
-#else
-Bool TDecTop::xDecodeSlice(InputNALUnit &nalu, Int iSkipFrame, Int iPOCLastDisplay )
-#endif
 {
   TComPic*&   pcPic         = m_pcPic;
@@ -785,13 +773,8 @@
   }
 
-#if NAL_REF_FLAG
   m_apcSlicePilot->setReferenced(nalu.m_nalRefFlag);
-#else
-  m_apcSlicePilot->setReferenced(nalu.m_nalRefIDC != NAL_REF_IDC_PRIORITY_LOWEST);
-#endif
   m_apcSlicePilot->setTLayerInfo(nalu.m_temporalId);
 
   // ALF CU parameters should be part of the slice header -> needs to be fixed 
-#if LCU_SYNTAX_ALF
 #if MTK_DEPTH_MERGE_TEXTURE_CANDIDATE_C0137
   m_cEntropyDecoder.decodeSliceHeader (m_apcSlicePilot, &m_parameterSetManagerDecoder, m_cGopDecoder.getAlfCuCtrlParam(), m_cGopDecoder.getAlfParamSet(),m_apcSlicePilot->getVPS()->getDepthFlag(nalu.m_layerId));
@@ -799,7 +782,4 @@
   m_cEntropyDecoder.decodeSliceHeader (m_apcSlicePilot, &m_parameterSetManagerDecoder, m_cGopDecoder.getAlfCuCtrlParam(), m_cGopDecoder.getAlfParamSet());
 #endif
-#else
-  m_cEntropyDecoder.decodeSliceHeader (m_apcSlicePilot, &m_parameterSetManagerDecoder, m_cGopDecoder.getAlfCuCtrlParam() );
-#endif
   // byte align
   {
@@ -816,5 +796,4 @@
   if (m_apcSlicePilot->isNextSlice() && m_apcSlicePilot->getPOC()!=m_prevPOC && !m_bFirstSliceInSequence)
   {
-#if START_DECODING_AT_CRA
     if (m_prevPOC >= m_pocRandomAccess)
     {
@@ -823,8 +802,4 @@
     }
     m_prevPOC = m_apcSlicePilot->getPOC();
-#else
-    m_prevPOC = m_apcSlicePilot->getPOC();
-    return true;
-#endif
   }
   // actual decoding starts here
@@ -846,9 +821,5 @@
   }
   //detect lost reference picture and insert copy of earlier frame.
-#if START_DECODING_AT_CRA
   while(m_apcSlicePilot->checkThatAllRefPicsAreAvailable(m_cListPic, m_apcSlicePilot->getRPS(), true, m_pocRandomAccess) > 0)
-#else
-  while(m_apcSlicePilot->checkThatAllRefPicsAreAvailable(m_cListPic, m_apcSlicePilot->getRPS(), true) > 0)
-#endif
   {
     xCreateLostPicture(m_apcSlicePilot->checkThatAllRefPicsAreAvailable(m_cListPic, m_apcSlicePilot->getRPS(), false)-1);
@@ -897,15 +868,4 @@
   UInt i, j, p;
 
-#if !REMOVE_TILE_DEPENDENCE
-  //set the TileBoundaryIndependenceIdr
-  if(pcSlice->getPPS()->getTileBehaviorControlPresentFlag() == 1)
-  {
-    pcPic->getPicSym()->setTileBoundaryIndependenceIdr( pcSlice->getPPS()->getTileBoundaryIndependenceIdr() );
-  }
-  else
-  {
-    pcPic->getPicSym()->setTileBoundaryIndependenceIdr( pcSlice->getPPS()->getSPS()->getTileBoundaryIndependenceIdr() );
-  }
-#endif
 
   if( pcSlice->getPPS()->getColumnRowInfoPresent() == 1 )
@@ -1265,8 +1225,6 @@
 {
   TComSPS* sps = new TComSPS();
-#if RPS_IN_SPS
   TComRPSList* rps = new TComRPSList();
   sps->setRPSList(rps);
-#endif
 #if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
   m_cEntropyDecoder.decodeSPS( sps, m_isDepth );
@@ -1275,23 +1233,11 @@
 #endif
   m_parameterSetManagerDecoder.storePrefetchedSPS(sps);
-#if LCU_SYNTAX_ALF
   m_cAdaptiveLoopFilter.create( sps->getPicWidthInLumaSamples(), sps->getPicHeightInLumaSamples(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth );
-#endif
 }
 
 Void TDecTop::xDecodePPS()
 {
-#if !RPS_IN_SPS
-  TComRPSList* rps = new TComRPSList();
-#endif
   TComPPS* pps = new TComPPS();
-#if !RPS_IN_SPS
-  pps->setRPSList(rps);
-#endif
-#if TILES_OR_ENTROPY_SYNC_IDC
   m_cEntropyDecoder.decodePPS( pps, &m_parameterSetManagerDecoder );
-#else
-  m_cEntropyDecoder.decodePPS( pps );
-#endif
   m_parameterSetManagerDecoder.storePrefetchedPPS( pps );
 
@@ -1346,5 +1292,4 @@
     case NAL_UNIT_CODED_SLICE:
     case NAL_UNIT_CODED_SLICE_IDR:
-#if H0566_TLA
 #if !QC_REM_IDV_B0046
     case NAL_UNIT_CODED_SLICE_IDV:
@@ -1352,7 +1297,4 @@
     case NAL_UNIT_CODED_SLICE_CRA:
     case NAL_UNIT_CODED_SLICE_TLA:
-#else
-    case NAL_UNIT_CODED_SLICE_CDR:
-#endif
       return xDecodeSlice(nalu, iSkipFrame, iPOCLastDisplay);
       break;
@@ -1375,7 +1317,5 @@
   sps = pSPSV0;
   m_parameterSetManagerDecoder.storePrefetchedSPS(sps);
-#if LCU_SYNTAX_ALF
   m_cAdaptiveLoopFilter.create( sps->getPicWidthInLumaSamples(), sps->getPicHeightInLumaSamples(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth );
-#endif
 }
 
@@ -1412,9 +1352,5 @@
   else if (m_pocRandomAccess == MAX_INT) // start of random access point, m_pocRandomAccess has not been set yet.
   {
-#if H0566_TLA
     if( m_apcSlicePilot->getNalUnitTypeBaseViewMvc() == NAL_UNIT_CODED_SLICE_CRA )
-#else
-    if( m_apcSlicePilot->getNalUnitTypeBaseViewMvc() == NAL_UNIT_CODED_SLICE_CDR )
-#endif
     {
       m_pocRandomAccess = m_apcSlicePilot->getPOC(); // set the POC random access since we need to skip the reordered pictures in CRA.
@@ -1426,5 +1362,4 @@
     else 
     {
-#if START_DECODING_AT_CRA
       static bool warningMessage = false;
       if(!warningMessage)
@@ -1434,8 +1369,4 @@
       }
       return true;
-#else
-      printf("\nUnsafe random access point. Decoder may crash.");
-      m_pocRandomAccess = 0;
-#endif
     }
   }
@@ -1458,7 +1389,4 @@
   m_cSAO.allocSaoParam(pAPS->getSaoParam());
   pAPS->createAlfParam();
-#if !LCU_SYNTAX_ALF
-  m_cAdaptiveLoopFilter.allocALFParam(pAPS->getAlfParam());
-#endif
 }
 
Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 294)
@@ -282,9 +282,5 @@
   Void      decodeAPS( TComAPS* cAPS) { m_cEntropyDecoder.decodeAPS(cAPS); };
   Void      xActivateParameterSets();
-#if SKIPFRAME_BUGFIX
   Bool      xDecodeSlice(InputNALUnit &nalu, Int &iSkipFrame, Int iPOCLastDisplay);
-#else
-  Bool      xDecodeSlice(InputNALUnit &nalu, Int iSkipFrame, Int iPOCLastDisplay);
-#endif
 #if VIDYO_VPS_INTEGRATION|QC_MVHEVC_B0046
   Void      xDecodeVPS();
